## SYNOPSIS

           isdnconf

## DESCRIPTION

           isdnconf can manipulate or read  the  file  /etc/isdn/cal
           lerid.conf  as  well  as ~/.isdn.  Entries can be added or
           removed from these files.  Additionally,  entries  can  be
           searched  for  and displayed in a way similar to grep.  An
           entry can be an own MSN ([MSN]) or a phone  number  ([NUM
           BER]).

           You  can  use  this  program  to build your own phonebook.
           These files are used by many of the other  ISDN  utilities
           that  use  phone  numbers,  to display a number symbolicly
           instead of as a plain number.

## OPTIONS

           Note: usage of the options -A and  -D  is  dangerous!  The
           complete  structure  of  the  file may be changed, and all
           comments are removed! Make  backups  of  your  data  files
           before trying these.

           COMMAND OPTIONS:

           -A  Add  a  new  entry, which is read from standard input.
               The following values are asked for  (here  with  exam
               ples):

               Alias:          Fred
               Number:         0815/441777
               SI:             0
               Zone:           4
               Interface:      -
               Flags:          I|O
               Program:        /usr/local/bin/ring
               User:           uucp
               Group:          user
               Interval:
               Time:           8-20
               Flags:          (control-D here indicates end of flags)

               Alias:          (control-D here indicated end of entries)

               If  you  want  another [Flags] entry, simply enter the
               data for another program for this number at the  point
               where the control-D was given above.

               cussed below (see DATA OPTIONS).

           -V  version:  display the program's version and terminate.

           If both -A and -D are given together, isdnconf will termi
           nate, as this is not a valid combination.

           If  neither -A nor -D is given, then isdnconf will display
           entries which match the data given.

           DATA OPTIONS: (none applicable for -A)

           -n 'number'
               number: match the given number. It can  contain  wild
               cards.

           -a 'alias'
               alias:  match  the given alias name. The name can con
               tain wildcards.  Note: due to a bug, use  '?'  instead
               of '-'.

           -t 'SI'
               SI: match the given service indicator.

           -c 'code'
               code:  match  the  area code of the phone number. Only
               usable for displaying (not for -A nor -D).

           -i  ignore case for the -n and -a options.

           -w  word: the parameters for -n  and  -a  must  match  the
               whole value, not just a substring.
               Examples (here for -n):

               "*34*" matches 123456, 345677, 1234
               "34*"  matches 34567, 34111 but not 1234
               "34??" matches 3411, 3456
               "34"   matches only 34

               Without the -w option, these would match:

               "*34*" matches 123456, 345677, 1234
               "34*"  matches 123456, 345677, 1234, 34567, 34111
               "34??" matches 123456, 345677, 1234, 3411, 3456

           -q  quiet: when using the -A or -D commands, the output is
               suppressed.   When  not  using  the -A or -D commands,
               only the alias of the matching  number  is  shown,  or
               just the number in case the alias is not found.

           -m  MSN:  when  used  in  combination with the -A command,
               instructs isdnconf to create  a  new  MSN  entry;  the
               default is to create a new NUMBER entry. Only the val
               ues alias, number, SI, zone and interface are applica
               ble to an MSN entry.

           The  following  two  options do not apply to the -A and -D
           commands. They only change the output format.

           -s  short: only display the alias and the number.

           -l  long: also display the programs to run ([START]).

           -f 'filename'
               file:  usually  isdnconf   uses   the   /etc/isdn/cal
               lerid.conf  and  the ~/.isdn files. If isdnconf should
               be applied to another file, use this option.

           -g  global: only  applies  to  the  -A  and  -D  commands.
               Instead of editing ~/.isdn, /etc/isdn/callerid.conf is
               edited.

           -1  first: only delete or display the first entry.

           -M  isdnmon: used internally by isdnmon to get alias info.

## AUTHOR

           Andreas Kool <akool@isdn4linux.de>
           manpage   adapted   from   the  README  by  Paul  Slootman
           <paul@isdn4linux.de>

## SEE ALSO

           callerid.conf(5), isdnlog(8)